Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.container
Interface PluginListener

    public interface PluginListener

Allows for notifications that a plugin has been either created or destroyed.

Author:
  Alexander Wenckus

Method Summary
`void` | `pluginCreated(String pluginName, Plugin plugin)` Called when a plugin has been created.
`void` | `pluginDestroyed(String pluginName, Plugin plugin)` Called when a plugin has been destroyed.

Method Detail

### pluginCreated

    void pluginCreated(String pluginName,
                       Plugin plugin)

  Called when a plugin has been created.

  Parameters:
    `pluginName` - the name of the created plugin.
    `plugin` - the plugin that was created.

### pluginDestroyed

    void pluginDestroyed(String pluginName,
                         Plugin plugin)

  Called when a plugin has been destroyed.

  Parameters:
    `pluginName` - the name of the destroyed plugin.
    `plugin` - the plugin that was destroyed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.